function [Inputs,bDs]=setLagrange(N,verbose,varargin)
  p = inputParser;
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.addParamValue('a',0,@isscalar);
  p.addParamValue('b',2*pi,@isscalar);
  p.addParamValue('fun',@cos);
  p.parse(varargin{:});
  R=p.Results;
  Fprintf=R.fprintf;a=R.a;b=R.b;
  n=N(1); % degree of the interpolating polynomial
  m=N(2); % number of interpolate values
  X=a:(b-a)/n:b; Y=R.fun(X);
  x=a+(b-a)*rand(1,m); 
  if verbose
    Fprintf('# Setting inputs of Lagrange polynomial functions: y=LAGRANGE(X,Y,x)\n')
    Fprintf('# where X is a:(b-a)/n:b, Y=fun(X) and x is random values on [a,b]\n')
    Fprintf('#   n is the order of the Lagrange polynomial\n')
    Fprintf('#   fun function is: %s\n',func2str(R.fun))
    Fprintf('#   [a,b]=[%g,%g]\n',a,b)
    
    Fprintf('#   X: 1-by-(n+1) array\n')
    Fprintf('#   Y: 1-by-(n+1) array\n')
    Fprintf('#   x: 1-by-m array\n')
  end
  
  bDs{1}=fc_bench.bdata('m',m,'%d',5); % first column in bench output
  bDs{2}=fc_bench.bdata('n',n,'%d',5); % second column in bench output
  Inputs={X,Y,x}; % is the inputs of the matricial product functions
end
